"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidEmail = exports.isTooShort = exports.isTooLong = exports.isRequired = void 0;
var isRequired = function (fieldValue) {
    return fieldValue.length <= 0 ? "This field is required!" : undefined;
};
exports.isRequired = isRequired;
var isTooLong = function (fieldValue, maxLen) {
    return fieldValue.length > maxLen ? "Input too long!" : undefined;
};
exports.isTooLong = isTooLong;
var isTooShort = function (fieldValue, minLen) {
    return fieldValue.length < minLen ? "Input too short!" : undefined;
};
exports.isTooShort = isTooShort;
var isValidEmail = function (email) {
    var re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (!re.test(email)) {
        return "Invalid email address!";
    }
};
exports.isValidEmail = isValidEmail;
