import { PayloadAction } from "@reduxjs/toolkit";
import { AuthState } from "../../interfaces/authentication";
import { IGenericApiError } from "../../interfaces/generics";
export declare const userSlice: import("@reduxjs/toolkit").Slice<AuthState, {
    setEmail(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string>): void;
    setEmailError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string | undefined>): void;
    setUserName(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string>): void;
    setUserNameError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string | undefined>): void;
    setPassword(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string>): void;
    setPasswordError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string | undefined>): void;
    setRepeatPassword(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string>): void;
    setRepeatPasswordError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string | undefined>): void;
    setTwoFactorAuthCode(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string>): void;
    setTwoFactorAuthCodeError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<string | undefined>): void;
    setAuthApiError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<IGenericApiError | undefined>): void;
    setRegisterApiError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<IGenericApiError | undefined>): void;
    setTwoFactorApiError(state: import("immer/dist/internal").WritableDraft<AuthState>, action: PayloadAction<IGenericApiError | undefined>): void;
    wipeAuthData(state: import("immer/dist/internal").WritableDraft<AuthState>): void;
}, "authData">;
export declare const setEmail: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "authData/setEmail">, setEmailError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "authData/setEmailError">, setPassword: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "authData/setPassword">, setPasswordError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "authData/setPasswordError">, setRepeatPassword: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "authData/setRepeatPassword">, setRepeatPasswordError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "authData/setRepeatPasswordError">, setUserName: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "authData/setUserName">, setUserNameError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "authData/setUserNameError">, setTwoFactorAuthCode: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "authData/setTwoFactorAuthCode">, setTwoFactorAuthCodeError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "authData/setTwoFactorAuthCodeError">, setAuthApiError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<IGenericApiError | undefined, "authData/setAuthApiError">, setRegisterApiError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<IGenericApiError | undefined, "authData/setRegisterApiError">, setTwoFactorApiError: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<IGenericApiError | undefined, "authData/setTwoFactorApiError">, wipeAuthData: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"authData/wipeAuthData">;
declare const authReducer: import("redux").Reducer<AuthState, import("redux").AnyAction>;
export default authReducer;
